Bug 93475 - Macro library, probably incorrect, is imported without problem, but not shown
Summary: Macro library, probably incorrect, is imported without problem, but not shown
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
4.4.4.3 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Macro-UI
  Show dependency treegraph
 
Reported: 2015-08-16 23:56 UTC by sworddragon2
Modified: 2022-10-19 15:53 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Macro library that makes troubles (147 bytes, application/vnd.ms-excel)
2015-08-16 23:56 UTC, sworddragon2
Details

Note You need to log in before you can comment on or make changes to this bug.
Description sworddragon2 2015-08-16 23:56:38 UTC
Created attachment 117955 [details]
Macro library that makes troubles

On making some tests with macros I have noticed that a specific macro library isn't shown. Steps to reproduce:

1. Open Writer.
2. Go to the menu bar -> Tools -> Macros -> "Organize Macros" -> "LibreOffice Basic..." -> Organizer... -> Libraries and click in "Import...".
3. Import the attached macro.
4. Click on "OK".
5. Click on "Close".
6. Go to Organizer... -> Libraries.


The macro library isn't shown anymore and trying to import it again fails with the message that the name already exists.
Comment 1 raal 2015-08-25 13:49:38 UTC
Reproducible with Verze: 5.0.0.5
ID sestavení: 1b1a90865e348b492231e1c451437d7a15bb262b

but are you sure that your library is correct?

Your library:
<?xml version='1.0' encoding='utf-8'?>
<library:library xmlns:library='http://openoffice.org/2000/library'>
	<library:element/>
</library:library>


I've created new empty library, after export I have xlb file:
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE library:library PUBLIC "-//OpenOffice.org//DTD OfficeDocument 1.0//EN" "library.dtd">
<library:library xmlns:library="http://openoffice.org/2000/library" library:name="Library1" library:readonly="false" library:passwordprotected="false">
 <library:element library:name="Module1"/>
</library:library>

and I can import this library into LO.
Comment 2 sworddragon2 2015-08-26 08:37:14 UTC
Maybe the macro library isn't fully correct as the modifications have caused this issue. But since LibreOffice successfully accepted this library on importing I think it should also correctly handle it then. An alternative would be to strictly validate macro libraries and reject invalid ones on importing.
Comment 3 Cor Nouws 2015-09-08 13:45:25 UTC
Set to new based on Raal's confirmation
Comment 4 QA Administrators 2016-09-20 10:28:33 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2019-12-03 14:44:47 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2021-12-03 04:39:35 UTC
Dear sworddragon2,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug